Package org.eclipse.emf.cdo.server.spi.security

# Class SecurityManagerFactory

java.lang.Object
org.eclipse.net4j.util.factory.Factory
org.eclipse.emf.cdo.server.spi.security.SecurityManagerFactory

All Implemented Interfaces:
  `org.eclipse.net4j.util.factory.IFactory`, `org.eclipse.net4j.util.factory.IFactoryKeyAware`

Direct Known Subclasses:
  `SecurityManagerFactory.Annotation`, `SecurityManagerFactory.Default`

public abstract class SecurityManagerFactory extends org.eclipse.net4j.util.factory.Factory
If the meaning of this type isn't clear, there really should be more of a description here...

Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`SecurityManagerFactory.Annotation`
Deprecated.
As of 4.3 use `SecurityManagerFactory.Default` with a description like "realmPath:annotation".
`static class`
`SecurityManagerFactory.Default`
If the meaning of this type isn't clear, there really should be more of a description here...

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DESCRIPTION_SEPARATOR`
`static final String`
`PRODUCT_GROUP`

### Fields inherited from class org.eclipse.net4j.util.factory.Factory

`NO_DESCRIPTION`

## Constructor Summary

Constructors
Constructor
Description
`SecurityManagerFactory(String type)`

## Method Summary

Modifier and Type
Method
Description
`ISecurityManager`
`create(String description)`
`protected ISecurityManager`
`create(String repositoryName, List<String> description)`
`static ISecurityManager`
`get(org.eclipse.net4j.util.container.IManagedContainer container, String type, String qualifiedDescription)`
`static ISecurityManager`
`get(org.eclipse.net4j.util.container.IManagedContainer container, String type, String repositoryName, String description)`
`static String`
`getQualifiedDescription(String repositoryName, String description)`

### Methods inherited from class org.eclipse.net4j.util.factory.Factory

`getDescriptionFor, getFactoryKey, getKey, getProductGroup, getType, productCreationException, productCreationException, setFactoryKey, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### PRODUCT_GROUP

public static final String PRODUCT_GROUP

See Also:
  - Constant Field Values

### DESCRIPTION_SEPARATOR

public static final String DESCRIPTION_SEPARATOR

Since:
  4.9
See Also:
  - Constant Field Values

## Constructor Details

### SecurityManagerFactory

public SecurityManagerFactory(String type)

## Method Details

### create

public ISecurityManager create(String description) throws org.eclipse.net4j.util.factory.ProductCreationException

Throws:
  `org.eclipse.net4j.util.factory.ProductCreationException`

### create

protected ISecurityManager create(String repositoryName, List<String> description) throws org.eclipse.net4j.util.factory.ProductCreationException

Throws:
  `org.eclipse.net4j.util.factory.ProductCreationException`
Since:
  4.9

### getQualifiedDescription

public static String getQualifiedDescription(String repositoryName, String description)

Since:
  4.9

### get

public static ISecurityManager get(org.eclipse.net4j.util.container.IManagedContainer container, String type, String repositoryName, String description)

Since:
  4.9

### get

public static ISecurityManager get(org.eclipse.net4j.util.container.IManagedContainer container, String type, String qualifiedDescription)

Since:
  4.9